import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useMemo } from 'react';
import { ApolloClientRegenerator as _ApolloClientRegenerator } from './apollo-client-regenerator.js';
import { useToken } from './token-context.js';
export const ApolloClientTokenizedProvider = memo(function ApolloClientTokenizedProvider({ children = null, options = undefined, 
// @ts-ignore
ApolloClientRegenerator = _ApolloClientRegenerator, ApolloClientRegeneratorProps = null, }) {
    const token = useToken();
    const memoOptions = useMemo(() => ({ ...ApolloClientRegeneratorProps?.options, ...options, token }), [options, ApolloClientRegeneratorProps, token]);
    return _jsx(ApolloClientRegenerator, { ...ApolloClientRegeneratorProps, options: memoOptions, children: children });
});
